/*
 * @Descripttion: 
 * @version: 
 * @Author: lihw02
 * @Date: 2020-12-30 14:05:54
 * @LastEditors: lihw02
 * @LastEditTime: 2021-01-19 10:53:50
 */
var dropdown =   require('./dropdown');
var keyboard =   require('./keyboard');
var navigation = require('./navigation');
var sidebar =    require('./sidebar');
var toolbar =    require('./toolbar');
var anchor =    require('./anchor');
var chapters =    require('./expandable-chapters');

var gitbook = window.gitbook;

function init() {
    // Init sidebar
    sidebar.init();

    // Init keyboard
    keyboard.init();

    // Bind dropdown
    dropdown.init();

    // // Init navigation
    navigation.init();

    // Init chapters
    chapters.init();

    console.log('init :>> ');

     

    // Add action to toggle sidebar
    toolbar.createButton({
        index: 0,
        icon: 'fa fa-align-justify',
        onClick: function(e) {
            e.preventDefault();
            sidebar.toggle();
        }
    });
}

gitbook.events.on('start', init);

var scrollHandler;
gitbook.events.on('page.change', function() {

    // Init chapters
    chapters.init();
    
    // Init anchor
    anchor.init();
    if(scrollHandler) {
        window.removeEventListener('scroll', scrollHandler);
    }
    scrollHandler = anchor.setupScrollHandler();
});

gitbook.keyboard = keyboard;
gitbook.navigation = navigation;
gitbook.sidebar = sidebar;
gitbook.toolbar = toolbar;
